Home Download Buy Blog Forum Support

Please make ST3 available in OSX 10.6.x

Please make ST3 available in OSX 10.6.x

Postby cwolves on Tue Jan 29, 2013 6:59 pm

I hate OSX Lion and have intentionally kept Snow Leopard on my personal computer. Please make ST3 available to me :)
cwolves
 
Posts: 12
Joined: Thu Jan 12, 2012 9:01 pm

Re: Please make ST3 available in OSX 10.6.x

Postby svenax on Tue Jan 29, 2013 7:01 pm

How much will you pay for the back port?
svenax
 
Posts: 151
Joined: Tue Dec 20, 2011 12:47 pm

Re: Please make ST3 available in OSX 10.6.x

Postby cwolves on Tue Jan 29, 2013 10:13 pm

It's (almost always) just a change in the target build platform... so... $59 ;)
cwolves
 
Posts: 12
Joined: Thu Jan 12, 2012 9:01 pm

Re: Please make ST3 available in OSX 10.6.x

Postby natewiebe13 on Tue Jan 29, 2013 10:15 pm

Not sure if you read the blog post, but:

Unfortunately, it has not been possible to maintain 10.6 compatibility, as there is no C++11 toolchain for OS X 10.6, and Sublime Text 3 makes extensive use of functionality in C++11.
natewiebe13
 
Posts: 15
Joined: Tue Jun 12, 2012 6:40 am

Re: Please make ST3 available in OSX 10.6.x

Postby quarnster on Tue Jan 29, 2013 10:22 pm

natewiebe13 wrote:Not sure if you read the blog post, but:

Unfortunately, it has not been possible to maintain 10.6 compatibility, as there is no C++11 toolchain for OS X 10.6, and Sublime Text 3 makes extensive use of functionality in C++11.


brew install clang?

Not that I care, I'm on 10.8 ;)
quarnster
 
Posts: 389
Joined: Tue Nov 29, 2011 11:34 am

Re: Please make ST3 available in OSX 10.6.x

Postby marshviperx on Tue Feb 12, 2013 11:31 pm

port install libcxx is all that's needed (I'm sure there's a brew formula as well.) I can understand not wanting to ship with an external dependency like that, but it sure would be nice to offer the possibility for those of us who already have libc++.
marshviperx
 
Posts: 1
Joined: Tue Feb 12, 2013 11:25 pm

Re: Please make ST3 available in OSX 10.6.x

Postby jps on Tue Feb 12, 2013 11:42 pm

There are 3 core reasons why 10.6 compat is challenging:

1. C++11 toolchain, specifically libc++
2. No OS support for shared memory mutex and condition variables (added in 10.7)
3. A third one that slips my mind for the moment.
jps
Site Admin
 
Posts: 3067
Joined: Wed Mar 19, 2008 12:33 pm

Re: Please make ST3 available in OSX 10.6.x

Postby mwb1100 on Wed Feb 13, 2013 8:20 pm

jps wrote:There are 3 core reasons why 10.6 compat is challenging:

1. C++11 toolchain, specifically libc++
2. No OS support for shared memory mutex and condition variables (added in 10.7)
3. A third one that slips my mind for the moment.

The Department of Energy?
mwb1100
 
Posts: 41
Joined: Mon Jun 25, 2012 5:40 pm

Re: Please make ST3 available in OSX 10.6.x

Postby djczaski on Wed Mar 27, 2013 2:38 am

My work computers are 10.6.8. This is a huge disappointment for me.
djczaski
 
Posts: 11
Joined: Tue Mar 05, 2013 3:56 am

Re: Please make ST3 available in OSX 10.6.x

Postby CrazyChoco on Tue Apr 09, 2013 9:29 am

Hi there

I'm sorry to be a pain but I think you really do need to support Snow Leopard.

Apple are surprisingly mean with their updates; there are many Macs (e.g. even some very recent ones - i.e. Macbook airs) who can't upgrade to Lion.

Plus even if you can, you may not want to. The differences are similar to going from Windows 7 to Windows 8 - I wouldn't mind upgrading at home, but it's definitely not something I'd want to do on a work computer.
CrazyChoco
 
Posts: 7
Joined: Mon Apr 08, 2013 1:43 pm

Next

Return to Technical Support

Who is online

Users browsing this forum: Exabot [Bot] and 23 guests